local updater = require("updater");

local MODULE_PATH = "keypadOS.lua";
local MODULE_URL = "https://git.mcorangehq.xyz/xomf/keypadOS/raw/branch/keypad/keypadOS.lua";

--- @param upd Updater
local function updaterLoop(upd)
    while true do
        upd:checkAndUpdateAll();
    end
end

local function _start()
    local upd = updater.new();
    upd:addEntry(MODULE_PATH, "keypad", MODULE_URL);
    parallel.waitForAny(function() updaterLoop(upd) end, require(MODULE_PATH))
end

local mod = {};
mod.main = _start;
return mod;

